Bug 1171435 - lldb package is incomplete
Summary: lldb package is incomplete
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: llvm
Version: epel7
Hardware: All
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Dave Johansen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-12-07 00:35 UTC by Michael Lampe
Modified: 2015-01-24 18:46 UTC (History)
1 user (show)

Fixed In Version: llvm-3.4.2-5.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-24 18:46:49 UTC


Attachments (Terms of Use)
Patch (634 bytes, patch)
2014-12-07 22:49 UTC, Michael Lampe
no flags Details | Diff

Description Michael Lampe 2014-12-07 00:35:59 UTC
From the build logs:

llvm[4]: Installing Release LLDB python modules
mkdir: cannot create directory '/usr/lib64/python2.7/site-packages/lldb': Permission denied
Error: Unable to find or create /usr/lib64/python2.7/site-packages/lldb

The install continues but the file is missing and also required, because lldb has a python interpreter built in.

Problem is that DESTDIR is ignored here. I guess I can post a fix later on.

Comment 2 Michael Lampe 2014-12-07 22:48:43 UTC
Simpler patch that also fixes a broken link attached.

Comment 3 Michael Lampe 2014-12-07 22:49:44 UTC
Created attachment 965652 [details]
Patch

Comment 4 Fedora Update System 2015-01-03 16:53:48 UTC
llvm-3.4.2-5.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/llvm-3.4.2-5.el7

Comment 5 Fedora Update System 2015-01-04 20:07:34 UTC
Package llvm-3.4.2-5.el7:
* should fix your issue,
* was pushed to the Fedora EPEL 7 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing llvm-3.4.2-5.el7'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2015-0062/llvm-3.4.2-5.el7
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2015-01-24 18:46:49 UTC
llvm-3.4.2-5.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.